converters/libepubgen - The NetBSD Packages Collection

EPUB generator library for librevenge

libepubgen is a library for generating documents in (surprise!) EPUB format,
implementing librevenge document interfaces. It supports conversion of text
documents, presentations and vector drawings. Spreadsheets are not supported,
because conversion of a spreadsheet to EPUB does not (IMHO) make much sense. As
these interfaces are used by multiple libraries, libepubgen can be used to
generate EPUB from many sources.

libepubgen requires boost and librevenge to build. It also needs doxygen to
generate API documentation (can be disabled by passing --without-docs to
configure).

Build dependencies

devel/boost-headers pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

converters/librevenge devel/boost-libs converters/librevenge

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibepubgen-0.1.1nb1.tgz
NetBSD 8.0earmv7hflibepubgen-0.1.1nb1.tgz
NetBSD 8.0earmv7hflibepubgen-0.1.1nb2.tgz
NetBSD 8.0i386libepubgen-0.1.1nb1.tgz
NetBSD 8.0i386libepubgen-0.1.1nb1.tgz
NetBSD 8.0i386libepubgen-0.1.1nb2.tgz
NetBSD 8.0powerpclibepubgen-0.1.1nb1.tgz
NetBSD 8.0powerpclibepubgen-0.1.1nb1.tgz
NetBSD 8.0powerpclibepubgen-0.1.1nb1.tgz
NetBSD 8.0x86_64libepubgen-0.1.1nb2.tgz
NetBSD 8.0x86_64libepubgen-0.1.1nb1.tgz
NetBSD 8.0x86_64libepubgen-0.1.1nb1.tgz
NetBSD 9.0aarch64libepubgen-0.1.1nb1.tgz
NetBSD 9.0aarch64libepubgen-0.1.1nb1.tgz
NetBSD 9.0earmlibepubgen-0.1.1nb1.tgz
NetBSD 9.0earmlibepubgen-0.1.1nb1.tgz
NetBSD 9.0earmv6hflibepubgen-0.1.1nb1.tgz
NetBSD 9.0earmv6hflibepubgen-0.1.1nb1.tgz
NetBSD 9.0earmv6hflibepubgen-0.1.1nb1.tgz
NetBSD 9.0earmv7hflibepubgen-0.1.1nb1.tgz
NetBSD 9.0earmv7hflibepubgen-0.1.1nb1.tgz
NetBSD 9.0earmv7hflibepubgen-0.1.1nb1.tgz
NetBSD 9.0i386libepubgen-0.1.1nb1.tgz
NetBSD 9.0i386libepubgen-0.1.1nb1.tgz
NetBSD 9.0i386libepubgen-0.1.1nb2.tgz
NetBSD 9.0mips64eblibepubgen-0.1.1nb2.tgz
NetBSD 9.0mips64eblibepubgen-0.1.1nb1.tgz
NetBSD 9.0mips64eblibepubgen-0.1.1nb1.tgz
NetBSD 9.0mipsellibepubgen-0.1.1nb1.tgz
NetBSD 9.0powerpclibepubgen-0.1.1nb1.tgz
NetBSD 9.0powerpclibepubgen-0.1.1nb1.tgz
NetBSD 9.0sparc64libepubgen-0.1.1nb2.tgz
NetBSD 9.0sparc64libepubgen-0.1.1nb1.tgz
NetBSD 9.0sparc64libepubgen-0.1.1nb1.tgz
NetBSD 9.0sparc64libepubgen-0.1.1nb1.tgz
NetBSD 9.0x86_64libepubgen-0.1.1nb1.tgz
NetBSD 9.0x86_64libepubgen-0.1.1nb2.tgz
NetBSD 9.0x86_64libepubgen-0.1.1nb2.tgz
NetBSD 9.0x86_64libepubgen-0.1.1nb2.tgz
NetBSD 9.0x86_64libepubgen-0.1.1nb1.tgz
NetBSD 9.0x86_64libepubgen-0.1.1nb1.tgz
NetBSD 9.0x86_64libepubgen-0.1.1nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.